# vriscv - a risc-v simulator

## Unit tests

Unit tests can be compiled and run using :
```
make tests
```

## Resources used

RISC-V Specifications:
- https://five-embeddev.com/riscv-isa-manual/latest/instr-table.html (instruction table)
- https://five-embeddev.com/riscv-isa-manual/latest/priv-instr-table.html (privileged instructions)

Device Tree Source :
- https://elinux.org/Device_Tree_Usage

Juraj's Blog, mostly:
- https://jborza.com/post/2021-04-04-riscv-supervisor-mode/
- https://jborza.com/emulation/2021/04/22/ecalls-and-syscalls.html

RISC-V SBI Specifications:
- https://github.com/riscv-non-isa/riscv-sbi-doc/releases

Buildroot fork for nommu linux:
- https://github.com/regymm/buildroot
